Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.ide
Interface IIDEActionConstants

public interface IIDEActionConstants

Identifiers for IDE menus, toolbars and groups.

This interface contains constants only; it is not intended to be implemented or extended.

Note: want to move IDE-specific stuff out of IWorkbenchActionConstants. There's still some cleanup to be done here (and there).

Since:
  3.0

Field Summary
`static String` | `ADD_EXT` Edit menu: name of group for extra Add-like actions (value `"add.ext"`).
`static String` | `BUILD_EXT` Workbench menu: name of group for extra Build-like actions (value `"build.ext"`).
`static String` | `BUILD_GROUP` Group ids for build toolbar group.
`static String` | `CLOSE_EXT` File menu: name of group for extra Close-like actions (value `"close.ext"`).
`static String` | `CUT_EXT` Edit menu: name of group for extra Cut-like actions (value `"cut.ext"`).
`static String` | `EDIT_END` Edit menu: name of group for end of menu (value `"editEnd"`).
`static String` | `EDIT_START` Edit menu: name of group for start of menu (value `"editStart"`).
`static String` | `FILE_END` File menu: name of group for end of menu (value `"fileEnd"`).
`static String` | `FILE_START` File menu: name of group for start of menu (value `"fileStart"`).
`static String` | `FIND_EXT` Edit menu: name of group for extra Find-like actions (value `"find.ext"`).
`static String` | `GO_INTO` Navigate menu: name of standard Go Into global action (value `"goInto"`).
`static String` | `GO_TO` Navigate menu: name of standard Go To submenu (value `"goTo"`).
`static String` | `GO_TO_RESOURCE` Navigate menu: name of standard Go To Resource global action (value `"goToResource"`).
`static String` | `GROUP_ADD` Pop-up menu: name of group for Add actions (value `"group.add"`).
`static String` | `GROUP_FILE` Pop-up menu and cool bar: name of group for File actions (value `"group.file"`).
`static String` | `GROUP_NAV` Coolbar: name of group for Navigate actions (value `"group.nav"`).
`static String` | `GROUP_SHOW_IN` Pop-up menu: name of group for Show In actions (value `"group.showIn"`).
`static String` | `HELP_END` Help menu: name of group for end of menu (value `"helpEnd"`).
`static String` | `HELP_START` Help menu: name of group for start of menu (value `"helpStart"`).
`static String` | `HISTORY_GROUP` Group ids for history toolbar group.
`static String` | `IMPORT_EXT` File menu: name of group for extra Import-like actions (value `"import.ext"`).
`static String` | `M_EDIT` Name of standard Edit menu (value `"edit"`).
`static String` | `M_FILE` Name of standard File menu (value `"file"`).
`static String` | `M_HELP` Name of standard Help menu (value `"help"`).
`static String` | `M_NAVIGATE` Name of standard Navigate menu (value `"navigate"`).
`static String` | `M_PROJECT` Name of standard Project menu (value `"project"`).
`static String` | `M_WINDOW` Name of standard Window menu (value `"window"`).
`static String` | `MRU` File menu: name of "Most Recently Used File" group.
`static String` | `NAV_END` Navigate menu: name of group for end of menu (value `"navEnd"`).
`static String` | `NAV_START` Navigate menu: name of group for start of menu (value `"navStart"`).
`static String` | `NEW_EXT` File menu: name of group for extra New-like actions (value `"new.ext"`).
`static String` | `NEW_GROUP` Group ids for new toolbar group.
`static String` | `OPEN_EXT` Navigate menu: name of group for extra Open actions (value `"open.ext"`).
`static String` | `PIN_GROUP` Group id for pin toolbar group.
`static String` | `PRINT_EXT` File menu: name of group for extra Print-like actions (value `"print.ext"`).
`static String` | `PROJ_END` Project menu: name of group for start of menu (value `"projEnd"`).
`static String` | `PROJ_START` Project menu: name of group for start of menu (value `"projStart"`).
`static String` | `SAVE_EXT` File menu: name of group for extra Save-like actions (value `"save.ext"`).
`static String` | `SAVE_GROUP` Group ids for save toolbar group.
`static String` | `SHOW_EXT` Navigate menu: name of group for extra Show actions (value `"show.ext"`).
`static String` | `TOOLBAR_FILE` Workbench toolbar id for file toolbar group.
`static String` | `TOOLBAR_NAVIGATE` Workbench toolbar id for navigate toolbar group.
`static String` | `UNDO_EXT` Edit menu: name of group for extra Undo-like actions (value `"undo.ext"`).

Field Detail

### M_FILE

    public static final String M_FILE

  Name of standard File menu (value `"file"`).

  See Also:
    Constant Field Values

### M_EDIT

    public static final String M_EDIT

  Name of standard Edit menu (value `"edit"`).

  See Also:
    Constant Field Values

### M_NAVIGATE

    public static final String M_NAVIGATE

  Name of standard Navigate menu (value `"navigate"`).

  See Also:
    Constant Field Values

### M_PROJECT

    public static final String M_PROJECT

  Name of standard Project menu (value `"project"`).

  See Also:
    Constant Field Values

### M_WINDOW

    public static final String M_WINDOW

  Name of standard Window menu (value `"window"`).

  See Also:
    Constant Field Values

### M_HELP

    public static final String M_HELP

  Name of standard Help menu (value `"help"`).

  See Also:
    Constant Field Values

### FILE_START

    public static final String FILE_START

  File menu: name of group for start of menu (value `"fileStart"`).

  See Also:
    Constant Field Values

### FILE_END

    public static final String FILE_END

  File menu: name of group for end of menu (value `"fileEnd"`).

  See Also:
    Constant Field Values

### NEW_EXT

    public static final String NEW_EXT

  File menu: name of group for extra New-like actions (value `"new.ext"`).

  See Also:
    Constant Field Values

### CLOSE_EXT

    public static final String CLOSE_EXT

  File menu: name of group for extra Close-like actions (value `"close.ext"`).

  See Also:
    Constant Field Values

### SAVE_EXT

    public static final String SAVE_EXT

  File menu: name of group for extra Save-like actions (value `"save.ext"`).

  See Also:
    Constant Field Values

### PRINT_EXT

    public static final String PRINT_EXT

  File menu: name of group for extra Print-like actions (value `"print.ext"`).

  See Also:
    Constant Field Values

### IMPORT_EXT

    public static final String IMPORT_EXT

  File menu: name of group for extra Import-like actions (value `"import.ext"`).

  See Also:
    Constant Field Values

### MRU

    public static final String MRU

  File menu: name of "Most Recently Used File" group. (value `"mru"`).

  See Also:
    Constant Field Values

### EDIT_START

    public static final String EDIT_START

  Edit menu: name of group for start of menu (value `"editStart"`).

  See Also:
    Constant Field Values

### EDIT_END

    public static final String EDIT_END

  Edit menu: name of group for end of menu (value `"editEnd"`).

  See Also:
    Constant Field Values

### UNDO_EXT

    public static final String UNDO_EXT

  Edit menu: name of group for extra Undo-like actions (value `"undo.ext"`).

  See Also:
    Constant Field Values

### CUT_EXT

    public static final String CUT_EXT

  Edit menu: name of group for extra Cut-like actions (value `"cut.ext"`).

  See Also:
    Constant Field Values

### FIND_EXT

    public static final String FIND_EXT

  Edit menu: name of group for extra Find-like actions (value `"find.ext"`).

  See Also:
    Constant Field Values

### ADD_EXT

    public static final String ADD_EXT

  Edit menu: name of group for extra Add-like actions (value `"add.ext"`).

  See Also:
    Constant Field Values

### BUILD_EXT

    public static final String BUILD_EXT

  Workbench menu: name of group for extra Build-like actions (value `"build.ext"`).

  See Also:
    Constant Field Values

### TOOLBAR_FILE

    public static final String TOOLBAR_FILE

  Workbench toolbar id for file toolbar group.

  Since:
    2.1
  See Also:
    Constant Field Values

### TOOLBAR_NAVIGATE

    public static final String TOOLBAR_NAVIGATE

  Workbench toolbar id for navigate toolbar group.

  Since:
    2.1
  See Also:
    Constant Field Values

### PIN_GROUP

    public static final String PIN_GROUP

  Group id for pin toolbar group.

  Since:
    2.1
  See Also:
    Constant Field Values

### HISTORY_GROUP

    public static final String HISTORY_GROUP

  Group ids for history toolbar group.

  Since:
    2.1
  See Also:
    Constant Field Values

### NEW_GROUP

    public static final String NEW_GROUP

  Group ids for new toolbar group.

  Since:
    2.1
  See Also:
    Constant Field Values

### SAVE_GROUP

    public static final String SAVE_GROUP

  Group ids for save toolbar group.

  Since:
    2.1
  See Also:
    Constant Field Values

### BUILD_GROUP

    public static final String BUILD_GROUP

  Group ids for build toolbar group.

  Since:
    2.1
  See Also:
    Constant Field Values

### GROUP_ADD

    public static final String GROUP_ADD

  Pop-up menu: name of group for Add actions (value `"group.add"`).

  See Also:
    Constant Field Values

### GROUP_FILE

    public static final String GROUP_FILE

  Pop-up menu and cool bar: name of group for File actions (value `"group.file"`).

  See Also:
    Constant Field Values

### GROUP_NAV

    public static final String GROUP_NAV

  Coolbar: name of group for Navigate actions (value `"group.nav"`).

  See Also:
    Constant Field Values

### GROUP_SHOW_IN

    public static final String GROUP_SHOW_IN

  Pop-up menu: name of group for Show In actions (value `"group.showIn"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### NAV_START

    public static final String NAV_START

  Navigate menu: name of group for start of menu (value `"navStart"`).

  See Also:
    Constant Field Values

### NAV_END

    public static final String NAV_END

  Navigate menu: name of group for end of menu (value `"navEnd"`).

  See Also:
    Constant Field Values

### OPEN_EXT

    public static final String OPEN_EXT

  Navigate menu: name of group for extra Open actions (value `"open.ext"`).

  See Also:
    Constant Field Values

### SHOW_EXT

    public static final String SHOW_EXT

  Navigate menu: name of group for extra Show actions (value `"show.ext"`).

  See Also:
    Constant Field Values

### GO_INTO

    public static final String GO_INTO

  Navigate menu: name of standard Go Into global action (value `"goInto"`).

  See Also:
    Constant Field Values

### GO_TO

    public static final String GO_TO

  Navigate menu: name of standard Go To submenu (value `"goTo"`).

  See Also:
    Constant Field Values

### GO_TO_RESOURCE

    public static final String GO_TO_RESOURCE

  Navigate menu: name of standard Go To Resource global action (value `"goToResource"`). Note:should be in an action factory

  See Also:
    Constant Field Values

### PROJ_START

    public static final String PROJ_START

  Project menu: name of group for start of menu (value `"projStart"`).

  See Also:
    Constant Field Values

### PROJ_END

    public static final String PROJ_END

  Project menu: name of group for start of menu (value `"projEnd"`).

  See Also:
    Constant Field Values

### HELP_START

    public static final String HELP_START

  Help menu: name of group for start of menu (value `"helpStart"`).

  See Also:
    Constant Field Values

### HELP_END

    public static final String HELP_END

  Help menu: name of group for end of menu (value `"helpEnd"`).

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.